### Function

# FwupdPlugin UsbDeviceMsDs20 desc_to_string

#### Declaration [src]

    const gchar*
    fu_usb_device_ms_ds20_desc_to_string (
      FuUsbDeviceMsDs20Desc val
    )

#### Description [src]

Converts an enumerated value to a string.

#### Parameters

`val`

  Type: `FuUsbDeviceMsDs20Desc`

  Value, e.g. `FU_USB_DEVICE_MS_DS20_DESC_SUBSET_HEADER_CONFIGURATION`.

#### Return value

Type: `const gchar*`

Identifier string.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.